using FWHandler;
using NUnit.Framework;
using NUnit.Framework.Interfaces;
using System;
using System.Diagnostics;
using System.Reflection;
using System.Runtime.CompilerServices;
using System.Threading;

namespace UITests
{
    [TestFixture]
    class TC_003_OtherTools : UITestFixture
    {
        [Test]
        public void TC_003_001_HelpAboutProgram_CheckIfWindowOpens()
        {
            InitUiTest();
            MenuItem.Click("Nápověda").Click("O programu Poznámkový blok");
            Assert.IsTrue(Window.ElementExists("O produktu Poznámkový blok"), GuesErrorProvider.ElementExistError);
            Button.Click("OK");
        }

        [Test]
        public void TC_003_002_Show_StatusBar_CheckIfExists()
        {
            InitUiTest();
            MenuItem.Click("Zobrazení").Click("Stavový řádek");
            Assert.IsTrue(Window.ElementExists("Stavový řádek"), GuesErrorProvider.ElementExistError);          
        }

        //[Test]
        public void TC_003_002_HelpAboutProgramLegalRules_CheckIfWindowOpens()
        {
            InitUiTest();
            MenuItem.Click("Nápověda").Click("O programu Poznámkový blok");
            Assert.IsTrue(Window.ElementExists("O produktu Poznámkový blok"), GuesErrorProvider.ElementExistError);
            Assert.IsTrue(Window.ElementExists("Licenčními podmínkami pro software společnosti Microsoft"), GuesErrorProvider.ElementExistError);
            Button.Click("OK").Click("OK");
           
        }


        //[Test]
        public void TC_003_003_HelpFeedBack_CloseApp()
        {
            InitUiTest();
            MenuItem.Click("Nápověda").Click("Poslat zpětnou vazbu");
            App.AppAttachNewWindow("RuntimeBroker.exe");
            App.AppClose();

        }
    }
}
